OSJS Error (attachEvent)

OSJS Error (attachEvent)

  
Hi,

I've just upgraded from version 7 to 8.0.016 and I'm getting the error "Object doesn't support property or method 'attacheEvent' when I load a page. Any ideas on what this may be?
Hi António,

Did you follow the checklist? You should publish the System Components from that version and republish all your applications...
Hi António,

That is a known issue with Internet Explorer 11. Actually it should also happen on version 7 as well.
It has been fixed in 8.0.0.24, so I recommend you to upgrade to the latest version (currently 8.0.1.8).

By the way, why did you upgrade to an old version (8.0.0.16 was released in October 2013), instead of a recent one?

Regards,
João Rosado
First of all, thanks for the quick reply.

João, I'm using the community version and I deduced (probably wrong) that the most recent version of Community version is 8.0.0.16. Do you think I can Upgrade the Community version to, at least, 8.0.0.24?

Regards
António Braz


Hi António,

You are right, the latest community version installer is currently the 8.0.0.16.

But, you can install the Platform Server 8.0.1.8 that is available on the download page. The main differences between that and the Community installer is only that most of the work is manual (having to follow the checklist) instead of having all the work done automatically.

You will also need to install separately the Service Studio and Integration Studio 8.0.1.8. They are also available on the download page.

Your community license will still be valid with that version, even though you are upgrading it manually.


Regards,
João Rosado
I João,

I was just doing that for the version 8.0.0.24 (followed the check list) and it's working with IE 11. I thought the license might got broken with 8.0.1.x so I decided to go from 8.0.0.16 to 8.0.0.24.
I have just repeated the process to 8.0.1.8 (it was necessary to request a new license) and it's working.

Again thanks for your help.

Regards
António Braz.